import { StyleSheet } from "react-native";
import {
  windowHeight,
  windowWidth,
  appColors,
  appFonts,
  fontSizes,
} from "@src/themes";
import { WINDOW_WIDTH } from "@gorhom/bottom-sheet";

const styles = StyleSheet.create({
  mainView: { flex: 1 },
  textInput: {
    width: windowWidth(370),
    marginHorizontal: windowWidth(7),
    height: windowHeight(100),
    textAlignVertical: "top",
    paddingHorizontal: windowWidth(15),
    paddingTop: windowWidth(15),
  },
  container: {
    borderRadius: windowHeight(15),
    padding: windowHeight(10),
    marginBottom: windowHeight(10),
    flexDirection: "row",
    borderWidth: windowWidth(1.3),
    borderColor: appColors.loaderPrimary,
    backgroundColor: appColors.whiteColor,
    marginHorizontal: windowWidth(15),
  },
  btn: {
    position: "absolute",
    bottom: windowHeight(13),
    marginHorizontal: windowWidth(20),
    right: 0,
    left: 0,
  },
  itemText: {
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT20,
  },
  bottomView: {
    height: windowHeight(45),
    width: windowHeight(45),
    backgroundColor: appColors.lightGray,
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(8),
  },
  textView: {
    width: windowWidth(320),
    marginHorizontal: windowWidth(12),
  },
  text: {
    color: appColors.gray,
    fontFamily: appFonts.regular,
    marginTop: windowHeight(4),
    fontSize: fontSizes.FONT16,
  },
  mainContainer: {
    borderWidth: windowHeight(0.45),
    marginHorizontal: windowWidth(20),
    borderRadius: windowHeight(15),
    padding: windowHeight(10),
    flexDirection: "row",
    marginVertical: windowHeight(15),
    backgroundColor: appColors.whiteColor,
    borderColor: appColors.go,
  },
  pickUp: {
    color: appColors.primaryText,
    fontFamily: appFonts.semiBold,
  },
  locationText: {
    color: appColors.gray,
    fontFamily: appFonts.regular,
    marginTop: windowHeight(5),
  },
  idCard: { marginVertical: windowHeight(8) },
  ambulanceText: {
    marginHorizontal: windowWidth(20),
    fontFamily: appFonts.semiBold,
    marginVertical: windowHeight(5),
    marginBottom: windowHeight(10),
  },
  ambulanceView: {
    borderWidth: windowHeight(0.45),
    marginHorizontal: windowWidth(20),
    flexDirection: "row",
    borderRadius: windowHeight(15),
    marginVertical: windowHeight(10),
    borderColor: appColors.go,
    backgroundColor: appColors.whiteColor,
  },
  description: {
    marginHorizontal: windowWidth(20),
    fontFamily: appFonts.semiBold,
  },
  pickUpView: {
    marginHorizontal: windowWidth(15),
  },
  waitingImg: {
    height: windowHeight(100),
    width: windowHeight(100),
  },
  ambulanceApprovalText: {
    color: appColors.regularText,
    fontFamily: appFonts.medium,
    textAlign: "center",
    marginVertical: windowHeight(10),
  },
  modelView: {
    justifyContent: "center",
    alignItems: "center",
    width: "100%",
    borderWidth: windowWidth(1.5),
    borderRadius: windowWidth(20),
    marginBottom: windowHeight(15),
    paddingTop: windowHeight(10),
  },
  timerText: {
    fontSize: fontSizes.FONT30,
    fontFamily: appFonts.medium,
    color: appColors.primary,
  },
  round: {
    height: windowHeight(36),
    width: windowHeight(36),
    backgroundColor: appColors.whiteColor,
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(36),
  },
});
export default styles;
